Bug 29998 - Replace the use of jQueryUI tabs on item types administration page
Summary: Replace the use of jQueryUI tabs on item types administration page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 29277 29999
Blocks: 29226
  Show dependency treegraph
 
Reported: 2022-02-01 17:07 UTC by Owen Leonard
Modified: 2022-04-01 10:29 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 29998: Replace the use of jQueryUI tabs on item types administration page (11.76 KB, patch)
2022-03-18 13:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29998: Replace the use of jQueryUI tabs on item types administration page (11.83 KB, patch)
2022-03-21 15:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2022-02-01 17:07:43 UTC
As part of Bug 29226, "OMNIBUS: Replace the use of jQueryUI tabs," we should replace the use of the jQueryUI tabs component on the item types administration page.
Comment 1 Owen Leonard 2022-03-18 13:21:48 UTC
Created attachment 131895 [details] [review]
Bug 29998: Replace the use of jQueryUI tabs on item types administration page

This patch updates the item type edit interface so that it uses
Bootstrap tabs instead of jQueryUI tabs for displaying icon sets.

Unrelated: The patch removes an invalid "type" attribute from a <select>
element.

- Go to Administration -> Item types in the staff interface.
- Edit an item type.
- On the edit page you should see tabs under "Choose an icon."
- Confirm that the tabs look correct and work correctly.
- If you did not previously have any icon selected, the "None" tab
  should be active.
- If you had an icon selected, that icon set's tab should be active.
- Confirm that if you specify a remote image (e.g.
  https://via.placeholder.com/50/FF0000/FFFFFF.png ) the tab is
  correctly shown after you save and re-edit.
- Confirm that changing icons works correctly and that the selected
  icon's tab is always active when you return to the edit view.
Comment 2 Jonathan Druart 2022-03-21 15:15:24 UTC
Created attachment 131981 [details] [review]
Bug 29998: Replace the use of jQueryUI tabs on item types administration page

This patch updates the item type edit interface so that it uses
Bootstrap tabs instead of jQueryUI tabs for displaying icon sets.

Unrelated: The patch removes an invalid "type" attribute from a <select>
element.

- Go to Administration -> Item types in the staff interface.
- Edit an item type.
- On the edit page you should see tabs under "Choose an icon."
- Confirm that the tabs look correct and work correctly.
- If you did not previously have any icon selected, the "None" tab
  should be active.
- If you had an icon selected, that icon set's tab should be active.
- Confirm that if you specify a remote image (e.g.
  https://via.placeholder.com/50/FF0000/FFFFFF.png ) the tab is
  correctly shown after you save and re-edit.
- Confirm that changing icons works correctly and that the selected
  icon's tab is always active when you return to the edit view.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2022-03-21 15:16:21 UTC
Tested and QAed with bug 29999.
Comment 4 Fridolin Somers 2022-03-25 21:01:51 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄